{% extends 'spritju/base_generic.html' %}
{% load static %}
{% block meta %}
    <!DOCTYPE html>
    <html lang="en">
    <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="keywords" content="{{ PD.Meta_keywords }}"/>
    <meta name="description" content="{{ PD.Meta_description }}"/>
    <meta name="author" content="Zili.ir"/>
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1"/>
    <link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet">
    <title>{{ PD.title }}</title>
{% endblock %}


{% block body %}
    <header class="py-5 bg-light border-bottom">
        <div class="container">
            <div class="text-center my-5">
                <h1 class="fw-bolder">{{ cat }}</h1>
                <p class="lead mb-0">All blog posts from the {{ cat }} category</p>
            </div>
        </div>
    </header>
    <section class="d-flex align-items-center section-bg">


        <!-- Page header with logo and tagline-->

        <!-- Page content-->
        <div class="container">
            <div class="row">
                <!-- Blog entries-->
                <div class="col-lg-8">
                    <div class="row">
                        {% for post in posts %}

                            {% if forloop.counter0|divisibleby:2 %}
                                <div class="col-lg-6">
                            {% endif %}
                        <!-- Blog post-->
                        <div class="card mb-4">
                            <a href="#!">
                                <img class="card-img-top"
                                     src="{{ post.post_image.url }}" alt="..."/></a>
                            <div class="card-body">
                                <ul class="post-meta list-inline">
                                    <li class="list-inline-item">
                                        <i class="fa fa-user-circle-o"></i> <a href="#"> {{ post.author }} </a>
                                    </li>
                                    <li class="list-inline-item">
                                        <i class="fa fa-calendar-o"></i> <a href="#">{{ post.created_on }}</a>
                                    </li>
                                    <li class="list-inline-item">
                                        <i class="fa fa-tags"></i><a href="#">{{ cat }}</a>
                                    </li>
                                </ul>
                                <h2 class="card-title h4">{{ post.title }}</h2>
                                <p class="card-text">{{ post.short_description }}</p>
                                <a class="btn spritju-green " href="{{ post.get_absolute_url }}">Read more →</a>
                            </div>
                        </div>
                        <!-- Blog post-->

                        {% if forloop.counter0|divisibleby:2 is False or forloop.last %}
                            </div>
                        {% endif %}

                        {% endfor %}
                    </div>
                    <!-- Pagination-->
                    <nav aria-label="Pagination">
                        <hr class="my-0"/>
                        <ul class="pagination justify-content-center my-4 ">
                            {% if posts.has_previous %}
                                <li class="page-item">
                                    <a class="page-link " href="?page={{ posts.previous_page_number }}" tabindex="-1"
                                       aria-disabled="true">Newer</a>
                                </li>
                                <li class="page-item"><a class="page-link" href="?page={{ posts.previous_page_number }}">{{ posts.previous_page_number }}</a></li>
                            {% endif %}
                             {% if posts.number == 1 %}
                                 <li class="page-item active" aria-current="page">
                                     <a class="page-link" href="https://spritju.com/blog">{{ posts.number }}</a>
                                 </li>
                             {% else %}
                                 <li class="page-item active" aria-current="page">
                                     <a class="page-link" href="https://spritju.com/blog/?page={{ posts.number }}">{{ posts.number }}</a>
                                 </li>
                             {% endif %}
                             {% if posts.has_next %}
                                 <li class="page-item"><a class="page-link" href="?page={{ posts.next_page_number }}">{{ posts.next_page_number }}</a></li>
                             {% endif %}
                             {% if posts.num_pages > posts.number|add:1 %}
                                    <li class="page-item">
                                        <a class="page-link" href="https://spritju.com/blog/?page={{ posts.number|add:2 }}">{{ posts.number|add:2 }}</a>
                                    </li>
                             {% endif %}
                            {% if posts.has_next %}
                                    <li class="page-item"><a class="page-link" href="?page={{ posts.next_page_number }}">Older</a></li>
                            {% endif %}
                        </ul>
                    </nav>
                </div>
                <!-- Side widgets-->
                <div class="col-lg-4">
                    <!-- Search widget
                    <div class="card mb-4">
                        <div class="card-header">Search</div>
                        <div class="card-body">
                            <div class="input-group">
                                <input class="form-control" type="text" placeholder="Enter search term..."
                                       aria-label="Enter search term..." aria-describedby="button-search"/>
                                <button class="btn btn-primary" id="button-search" type="button">Go!</button>
                            </div>
                        </div>
                    </div> -->
                    <!-- Categories widget-->
                    <div class="card mb-4">
                        <div class="card-header">Categories</div>
                        <div class="card-body">
                            <div class="row">
                                <div class="col-sm-6">
                                    {% for Category in Categories %}
                                        <li><a href="{{ Category.get_absolute_url }}">{{ Category.name }}</a></li>
                                    {% endfor %}
                                </div>
                            </div>
                        </div>

                    </div>
                    <!-- Side widget
                    <div class="card mb-4">
                        <div class="card-header">Side Widget</div>
                        <div class="card-body">You can put anything you want inside of these side widgets. They are easy
                            to use, and feature the Bootstrap 5 card component!
                        </div>
                    </div>
                    -->
                </div>
            </div>

        </div>

    </section>

{% endblock %}
